Subject: Re: bug#31841: ./pre-inst-env guix system no longer works without ~/.config/guix

From: Mark H Weaver <[email-masked]>
Date: Sat, 16 Jun 2018 03:51:19 -0400

flags 31841 + notabug
close 31841
thanks

Hi Ludovic,

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> If there's a good reason to avoid implementing Ricardo's suggestion, I
>> don't mind keeping my modified 'guix' script above, but I confess that I
>> don't yet understand the cause of your reluctance.
>
> Well I’m not opposed to it, but my first reaction was that it adds
> complexity, it’s redundant with the ‘configure’ checks, and one can
> always find other ways to make things break.
>
> Now, I agree that it would be useful for the use case you mentioned
> (build in ‘guix environment’ and run outside of it), so if you come
> up with a patch, that works for me!

Fair enough.

>> Anyway, it seems that my practice of running 'guix' from a private git
>> checkout is becoming increasingly awkward to arrange.  I would be
>> pleased if this mode of operation were better supported.
>
> I do that (like every Guix developer I suppose) every day, so I don’t
> think it’s going to stop working any time soon.
>
> In this case, the requirement of a new dependency made the issue
> apparent but fundamentally nothing has changed.  In particular,
> ~/.config/guix is not required any more than it was before, contrary to
> what the subject says.

Indeed, good points.  I considered retitling this bug to "./pre-inst-env
guix system fails outside of the development environment" or "now
requires guile-sqlite3", but the more I think about it, the more this
seems like a non-issue.

> OK to close this issue?

Done, thanks.

     Mark